<?php get_template_part('pbpanel/header'); ?>

<div class="pbpanel-column">
	<?php if (isset($_POST["update_options"])) { ?>
		<?php
			foreach ($_POST as $key => $value) {
                if ($key != 'update_options') {
					update_option($key, esc_html($value));
				}
            }
		?>
		<div class="pbpanel-box pbpanel-updated"><?php echo __('تنظیمات ذخیره شد', 'pbpanel'); ?></div>		
	<?php } ?>
	<div class="pbpanel-box">
		<h2><?php echo __('اصلی', 'pbpanel'); ?></h2>
	</div>
	<div class="pbpanel-box">
		<form action="" method="post" enctype="multipart/form-data">
		<p>
			<label><?php echo __('اسکرول بی نهایت', 'pbpanel'); ?></label>
			<span class="helptext"><?php echo __('برای فعال یا غیر فعال کردن اسکرول بی نهایت کلیک کنید.', 'pbpanel'); ?></span>
			<label class="radio" for="pbpanel_infinite_scroll_enable"><input type="radio" <?php if (get_option('pbpanel_infinite_scroll') == 1) { ?> checked="checked" <?php } ?> value="1" id="pbpanel_infinite_scroll_enable" name="pbpanel_infinite_scroll"><span class="mark"><?php echo __('فعال', 'pbpanel'); ?></span></label>
			<label class="radio" for="pbpanel_infinite_scroll_disable"><input type="radio" <?php if (get_option('pbpanel_infinite_scroll') == 2) { ?> checked="checked" <?php } ?> value="2" id="pbpanel_infinite_scroll_disable" name="pbpanel_infinite_scroll"><span class="mark"><?php echo __('غیر فعال', 'pbpanel'); ?></span></label>
		</p>
		<hr>
		<p>
			<label><?php echo __('لینک به نوشته های همان دسته', 'pbpanel'); ?></label>
			<span class="helptext"><?php echo __('نمایش پیوند نوشته قبلی و بعدی در دسته ای که همان نوشته ارسال شده است.', 'pbpanel'); ?></span>
			<label class="radio" for="pbpanel_posts_in_same_cat_enable"><input type="radio" <?php if (get_option('pbpanel_posts_in_same_cat') == 1) { ?> checked="checked" <?php } ?> value="1" id="pbpanel_posts_in_same_cat_enable" name="pbpanel_posts_in_same_cat"><span class="mark"><?php echo __('فعال', 'pbpanel'); ?></span></label>
			<label class="radio" for="pbpanel_posts_in_same_cat_disable"><input type="radio" <?php if (get_option('pbpanel_posts_in_same_cat') == 2) { ?> checked="checked" <?php } ?> value="2" id="pbpanel_posts_in_same_cat_disable" name="pbpanel_posts_in_same_cat"><span class="mark"><?php echo __('غیر فعال', 'pbpanel'); ?></span></label>
		</p>
		<hr>
		<p>
			<label><?php echo __('تنظیمات بیشتر', 'pbpanel'); ?></label>
			<span class="helptext"><?php echo __('انتخاب کنید آیا تاریخ و تعداد دیدگاه های نوشته نمایش داده شود یا خیر؟', 'pbpanel'); ?></span>
			<label class="checkbox" for="pbpanel_pinbox_show_comments">
				<input type="hidden" value="0" name="pbpanel_pinbox_show_comments">
				<input type="checkbox" <?php if (get_option('pbpanel_pinbox_show_comments') == 1) { ?> checked="checked" <?php } ?> value="1" id="pbpanel_pinbox_show_comments" name="pbpanel_pinbox_show_comments">
				<span class="mark"><?php echo __('نمایش تعداد دیدگاه ها', 'pbpanel'); ?></span>
			</label>
			<label class="checkbox" for="pbpanel_pinbox_show_postdate">
				<input type="hidden" value="0" name="pbpanel_pinbox_show_postdate">
				<input type="checkbox" <?php if (get_option('pbpanel_pinbox_show_postdate') == 1) { ?> checked="checked" <?php } ?> value="1" id="pbpanel_pinbox_show_postdate" name="pbpanel_pinbox_show_postdate">
				<span class="mark"><?php echo __('نمایش تاریخ نوشته', 'pbpanel'); ?></span>
			</label>
		</p>
		<hr>
		<p>
			<label for="pbpanel_header_code"><?php echo __('کد هیدر', 'pbpanel'); ?></label>
			<span class="helptext"><?php echo __('به هیدر وبلاگ خود کد اضافه کنید', 'pbpanel'); ?></span>
			<textarea name="pbpanel_header_code" id="pbpanel_header_code"><?php echo stripslashes_deep(get_option('pbpanel_header_code')); ?></textarea>
		</p>
		<p>
			<label for="pbpanel_google_code"><?php echo __('کد آمارگیر', 'pbpanel'); ?></label>
			<span class="helptext"><?php echo __('کد آمارگیر وبلاگ خود را اینجا قرار دهید.', 'pbpanel'); ?></span>
			<textarea name="pbpanel_google_code" id="pbpanel_google_code"><?php echo stripslashes_deep(get_option('pbpanel_google_code')); ?></textarea>
		</p>
		<p>
			<label for="pbpanel_footer_showlinks"><?php echo __('تعداد لینک های قابل نمایش در پانوشت', 'pbpanel'); ?></label>
			<span class="helptext"><?php echo __('صفحات ، مورد علاقه ها ، آخرین نوشته ها و محبوب ترین نوشته ها', 'pbpanel'); ?></span>
			<input type="text" name="pbpanel_footer_showlinks" id="pbpanel_footer_showlinks" value="<?php echo stripslashes_deep(get_option('pbpanel_footer_showlinks')); ?>">
		</p>
		<p>
			<label for="pbpanel_footer_copyright"><?php echo __('متن پانوشت', 'pbpanel'); ?></label>
			<span class="helptext"><?php echo __('متن پانوشت را وارد کنید، به عنوان مثال متن کپی رایت', 'pbpanel'); ?><br><?php echo __('پیشفرض:', 'pbpanel'); ?> <?php echo __('کپی رایت', 'pbpanel'); ?> &copy; <?php echo date("Y"); ?> <?php bloginfo('name'); ?></span>
			<input type="text" name="pbpanel_footer_copyright" id="pbpanel_footer_copyright"  value="<?php echo stripslashes_deep(get_option('pbpanel_footer_copyright')); ?>">
		</p>
		<p><input type="submit" name="update_options" value="<?php echo __('ذخیره تنظیمات', 'pbpanel'); ?>" class="pbpanel-button pbpanel-button-color-1"></p>
		</form>
	</div>
</div>

<?php get_template_part('pbpanel/footer'); ?>