<?php get_template_part('pbpanel/header'); ?>

<div class="pbpanel-column">
	<?php if (isset($_POST["update_options"])) { ?>
		<?php
			foreach ($_POST as $key => $value) {
                if ($key != 'update_options') {
					update_option($key, esc_html($value));
				}
            }
		?>
		<div class="pbpanel-box pbpanel-updated"><?php echo __('تنظیمات ذخیره شد', 'pbpanel'); ?></div>		
	<?php } ?>
	<div class="pbpanel-box">
		<h2><?php echo __('اسلایدر', 'pbpanel'); ?></h2>
	</div>
	<div class="pbpanel-box">
		<form action="" method="post" enctype="multipart/form-data">
		<p>
			<label><?php echo __('نمایش اسلایدر', 'pbpanel'); ?></label>
			<span class="helptext"><?php echo __('انتخاب کنید اسلایدر در صفحه اصلی نمایش داده شود و یا تمام صفحات', 'pbpanel'); ?></span>
			<label class="radio" for="pbpanel_slider_show_disable"><input type="radio" <?php if (get_option('pbpanel_slider_show') == 1) { ?> checked="checked" <?php } ?> value="1" id="pbpanel_slider_show_disable" name="pbpanel_slider_show"><span class="mark"><?php echo __('غیر فعال', 'pbpanel'); ?></span></label>
			<label class="radio" for="pbpanel_slider_show_frontpage"><input type="radio" <?php if (get_option('pbpanel_slider_show') == 2) { ?> checked="checked" <?php } ?> value="2" id="pbpanel_slider_show_frontpage" name="pbpanel_slider_show"><span class="mark"><?php echo __('صفحه اول', 'pbpanel'); ?></span></label>
			<label class="radio" for="pbpanel_slider_show_allpages"><input type="radio" <?php if (get_option('pbpanel_slider_show') == 3) { ?> checked="checked" <?php } ?> value="3" id="pbpanel_slider_show_allpages" name="pbpanel_slider_show"><span class="mark"><?php echo __('تمام صفحات', 'pbpanel'); ?></span></label>
		</p>
		<p><input type="submit" name="update_options" value="<?php echo __('ذخیره تنظیمات', 'pbpanel'); ?>" class="pbpanel-button pbpanel-button-color-1"></p>
		</form>
	</div>
	<div class="pbpanel-box">
		<form action="" method="post" enctype="multipart/form-data">
		<h3><?php echo __('تنظیمات اسلایدر', 'pbpanel'); ?></h3>
		<hr>
		<p>
			<label><?php echo __('فلش ها', 'pbpanel'); ?></label>
			<span class="helptext"><?php echo __('فلش های پیمایش بین اسلاید های قبلی و بعدی فعال باشد؟', 'pbpanel'); ?></span>
			<label class="radio" for="pbpanel_slider_arrows_enable"><input type="radio" <?php if (get_option('pbpanel_slider_arrows') == 'true') { ?> checked="checked" <?php } ?> value="true" id="pbpanel_slider_arrows_enable" name="pbpanel_slider_arrows"><span class="mark"><?php echo __('فعال', 'pbpanel'); ?></span></label>
			<label class="radio" for="pbpanel_slider_arrows_disable"><input type="radio" <?php if (get_option('pbpanel_slider_arrows') == 'false') { ?> checked="checked" <?php } ?> value="false" id="pbpanel_slider_arrows_disable" name="pbpanel_slider_arrows"><span class="mark"><?php echo __('غیر فعال', 'pbpanel'); ?></span></label>
		</p>
		<p>
			<label><?php echo __('Arrows Constraint', 'pbpanel'); ?></label>
			<span class="helptext"><?php echo __('When you get to the end of the slides pressing the next arrow will navigate you to the beginning again should you have a false constraint. The same applies to the previous arrow', 'pbpanel'); ?></span>
			<label class="radio" for="pbpanel_slider_arrows_constraint_enable"><input type="radio" <?php if (get_option('pbpanel_slider_arrows_constraint') == 'true') { ?> checked="checked" <?php } ?> value="true" id="pbpanel_slider_arrows_constraint_enable" name="pbpanel_slider_arrows_constraint"><span class="mark"><?php echo __('Enable', 'pbpanel'); ?></span></label>
			<label class="radio" for="pbpanel_slider_arrows_constraint_disable"><input type="radio" <?php if (get_option('pbpanel_slider_arrows_constraint') == 'false') { ?> checked="checked" <?php } ?> value="false" id="pbpanel_slider_arrows_constraint_disable" name="pbpanel_slider_arrows_constraint"><span class="mark"><?php echo __('Disable', 'pbpanel'); ?></span></label>
		</p>
		<hr>
		<p>
			<label><?php echo __('شروع خودکار', 'pbpanel'); ?></label>
			<span class="helptext"><?php echo __('تنظیم کنید که اسلایدر خودکار شروع شود یا اسلایدها به صورت دستی تعویض شوند.', 'pbpanel'); ?></span>
			<label class="radio" for="pbpanel_slider_slideshow_enable"><input type="radio" <?php if (get_option('pbpanel_slider_slideshow') == 'true') { ?> checked="checked" <?php } ?> value="true" id="pbpanel_slider_slideshow_enable" name="pbpanel_slider_slideshow"><span class="mark"><?php echo __('فعال', 'pbpanel'); ?></span></label>
			<label class="radio" for="pbpanel_slider_slideshow_disable"><input type="radio" <?php if (get_option('pbpanel_slider_slideshow') == 'false') { ?> checked="checked" <?php } ?> value="false" id="pbpanel_slider_slideshow_disable" name="pbpanel_slider_slideshow"><span class="mark"><?php echo __('غیر فعال', 'pbpanel'); ?></span></label>
		</p>
		<p>
			<label for="pbpanel_slider_slideshow_delay"><?php echo __('دوره زمانی مکس', 'pbpanel'); ?></label>
			<span class="helptext"><?php echo __('محمدوده زمانی مکس روی هر تصویر اسلایدر با وارد کنید.', 'pbpanel'); ?></span>
			<input type="text" name="pbpanel_slider_slideshow_delay" id="pbpanel_slider_slideshow_delay" value="<?php echo stripslashes_deep(get_option('pbpanel_slider_slideshow_delay')); ?>">
		</p>
		<hr>
		<p>
			<label><?php echo __('بلوک متن', 'pbpanel'); ?></label>
			<span class="helptext"><?php echo __('آیا یک رنگ مشکی شفاف در پس زمینه متن اسلاید برای خوانایی بیشتر نمایش داده شود؟', 'pbpanel'); ?></span>
			<label class="radio" for="pbpanel_slider_blocktext_enable"><input type="radio" <?php if (get_option('pbpanel_slider_blocktext') == 'true') { ?> checked="checked" <?php } ?> value="true" id="pbpanel_slider_blocktext_enable" name="pbpanel_slider_blocktext"><span class="mark"><?php echo __('فعال', 'pbpanel'); ?></span></label>
			<label class="radio" for="pbpanel_slider_blocktext_disable"><input type="radio" <?php if (get_option('pbpanel_slider_blocktext') == 'false') { ?> checked="checked" <?php } ?> value="false" id="pbpanel_slider_blocktext_disable" name="pbpanel_slider_blocktext"><span class="mark"><?php echo __('غیر فعال', 'pbpanel'); ?></span></label>
		</p>
		<hr>
		<p>
			<label><?php echo __('نقطه کنترل', 'pbpanel'); ?></label>
			<span class="helptext"><?php echo __('نقطه های کنترل برای حرکت بین اسلاید ها مورد استفاده قرار میگیرد', 'pbpanel'); ?></span>
			<label class="radio" for="pbpanel_slider_dotnav_enable"><input type="radio" <?php if (get_option('pbpanel_slider_dotnav') == 'true') { ?> checked="checked" <?php } ?> value="true" id="pbpanel_slider_dotnav_enable" name="pbpanel_slider_dotnav"><span class="mark"><?php echo __('فعال', 'pbpanel'); ?></span></label>
			<label class="radio" for="pbpanel_slider_dotnav_disable"><input type="radio" <?php if (get_option('pbpanel_slider_dotnav') == 'false') { ?> checked="checked" <?php } ?> value="false" id="pbpanel_slider_dotnav_disable" name="pbpanel_slider_dotnav"><span class="mark"><?php echo __('غیر فعال', 'pbpanel'); ?></span></label>
		</p>
		<p>
			<label for="pbpanel_slider_dotnav_alignment"><?php echo __('تراز نقطه', 'pbpanel'); ?></label>
			<span class="helptext"><?php echo __('تراز نقطه کنترل را بین موقعیت های راست، وسط و چپ تنظیم نمائید.', 'pbpanel'); ?></span>
			<select name="pbpanel_slider_dotnav_alignment" id="pbpanel_slider_dotnav_alignment" >
				<option value="left" <?php if (get_option('pbpanel_slider_dotnav_alignment') == 'left') { ?> selected="selected" <?php } ?>><?php echo __('چپ', 'pbpanel'); ?></option>
				<option value="center" <?php if (get_option('pbpanel_slider_dotnav_alignment') == 'center') { ?> selected="selected" <?php } ?>><?php echo __('وسط', 'pbpanel'); ?></option>
				<option value="right" <?php if (get_option('pbpanel_slider_dotnav_alignment') == 'right') { ?> selected="selected" <?php } ?>><?php echo __('راست', 'pbpanel'); ?></option>
			</select>
		</p>
		<hr>
		<p>
			<label for="pbpanel_slider_slide_position"><?php echo __('اسلاید شروع', 'pbpanel'); ?></label>
			<span class="helptext"><?php echo __('اسلاید شروع را تنظیم نمائید', 'pbpanel'); ?></span>
			<input type="text" name="pbpanel_slider_slide_position" id="pbpanel_slider_slide_position" value="<?php echo stripslashes_deep(get_option('pbpanel_slider_slide_position')); ?>">
		</p>
		<p><input type="submit" name="update_options" value="<?php echo __('ذخیره تنظیمات', 'pbpanel'); ?>" class="pbpanel-button pbpanel-button-color-1"></p>
		</form>
	</div>
</div>

<?php get_template_part('pbpanel/footer'); ?>